org.apache.cayenne.configuration.rop.server

## Class ROPHessianServlet

- java.lang.Object
- - javax.servlet.GenericServlet
  - - com.caucho.hessian.server.HessianServlet
    - - org.apache.cayenne.configuration.rop.server.ROPHessianServlet

- All Implemented Interfaces:
    Serializable, javax.servlet.Servlet, javax.servlet.ServletConfig
  Direct Known Subclasses:
    HessianServlet

      public class ROPHessianServlet
      extends com.caucho.hessian.server.HessianServlet

  A servlet that bootstraps a Hessian-based ROP server. Servlet initialization parameters:
  - configuration-location (optional) - a name of Cayenne configuration XML file that will be used to load Cayenne stack. If missing, the servlet name will be used to derive the location. ".xml" extension will be appended to the servlet name to get the location, so a servlet named "cayenne-foo" will result in location "cayenne-foo.xml".
  - extra-modules (optional) - a comma or space-separated list of class names, with each class implementing `Module` interface. These are the custom modules loaded after the two standard ones that allow users to override any Cayenne runtime aspects, e.g. `RequestHandler`. Each custom module must have a no-arg constructor.
  All other parameters passed to the servlet are considered to be related to the `EventBridge` initialization.
  Since:
    3.1
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected javax.servlet.ServletContext` | `servletContext`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ROPHessianServlet()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `checkAlreadyConfigured(javax.servlet.ServletContext context)`
    `void` | `destroy()`
    `void` | `init(javax.servlet.ServletConfig configuration)` Installs `HessianService` to respond to `RemoteService` requests.

    - ### Methods inherited from class com.caucho.hessian.server.HessianServlet

      `getAPIClass, getSerializerFactory, getServletInfo, service, setAPIClass, setDebug, setHome, setHomeAPI, setLogName, setObject, setObjectAPI, setSendCollectionType, setSerializerFactory, setService`

    - ### Methods inherited from class javax.servlet.GenericServlet

      `getInitParameter, getInitParameterNames, getServletConfig, getServletContext, getServletName, init, log, log`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### servletContext

          protected javax.servlet.ServletContext servletContext

  - ### Constructor Detail

    - #### ROPHessianServlet

          public ROPHessianServlet()

  - ### Method Detail

    - #### init

          public void init(javax.servlet.ServletConfig configuration)
                    throws javax.servlet.ServletException

      Installs `HessianService` to respond to `RemoteService` requests.
      Specified by:
        `init` in interface `javax.servlet.Servlet`
      Overrides:
        `init` in class `com.caucho.hessian.server.HessianServlet`
      Throws:
        `javax.servlet.ServletException`

    - #### checkAlreadyConfigured

          protected void checkAlreadyConfigured(javax.servlet.ServletContext context)
                                         throws javax.servlet.ServletException

      Throws:
        `javax.servlet.ServletException`

    - #### destroy

          public void destroy()

      Specified by:
        `destroy` in interface `javax.servlet.Servlet`
      Overrides:
        `destroy` in class `javax.servlet.GenericServlet`

Copyright © 2001–2018 Apache Cayenne. All rights reserved.